#
# spec file for package perl-Feed-Find
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Feed-Find
Name:           perl-Feed-Find
Version:        0.13
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Syndication feed auto-discovery
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(LWP)
BuildRequires:  perl(Test::LWP::UserAgent)
BuildRequires:  perl(URI)
Requires:       perl(Class::ErrorHandler)
Requires:       perl(HTML::Parser)
Requires:       perl(LWP)
Requires:       perl(URI)
%{perl_requires}

%description
_Feed::Find_ implements feed auto-discovery for finding syndication feeds,
given a URI. It (currently) passes all of the auto-discovery tests at
_http://diveintomark.org/tests/client/autodiscovery/_.

_Feed::Find_ will discover the following feed formats:

* * RSS 0.91

* * RSS 1.0

* * RSS 2.0

* * Atom

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Thu Oct 20 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.13
  see /usr/share/doc/packages/perl-Feed-Find/Changes
  0.13  2022.10.18
  - Increment version of action/checkout
  - Attempt to add bugtracker info
* Sat Oct 23 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-Feed-Find/Changes
  0.12  2021.10.22
  - Add GitHub info to Makefile.PL
* Tue Jun 15 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.11
  see /usr/share/doc/packages/perl-Feed-Find/Changes
  0.11  2021.06.14
  - Add test for "file://" URLs (RT 12242)
  0.10  2021.06.11
  - Switch to using Test::LWP::UserAgent so we don't require
    an internet connection for the tests.
  0.09  2021.06.10
  - Remove "use_test_base" from Makefile.pm (Test::Base wasn't
    used and it brought in a copy of Test::Builder that seems
    to break stuff).
  0.08  2021.06.09
  - Add .atom as a possible feed extension.
  - Temp fix to the tests (because the original domain has gone).
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix autogenerated changes
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Feed-Find/Changes
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jul  8 2008 guru@unixtech.be
- new package
